Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_time.h File Reference

The file oscl_time.h defines to classes NTPTime and TimeValue for getting, manipulating, and formatting time values. The TimeValue class is based on the native system time format while NTPTime is used for the standard Network Time Protocol format. More...

`#include "oscl_base.h"`
`#include "osclconfig_time.h"`
`#include "oscl_int64_utils.h"`
`#include "oscl_time.inl"`

Go to the source code of this file.

## Data Structures
class | NTPTime
| The NTPTime class represents a time value as the number of seconds since 0h (UTC) Jan. 1, 1900. More...
class | TimeValue
| The TimeValue class represents a time value in a format native to the system. More...
## Typedefs
typedef char | CtimeStrBuf [CTIME_BUFFER_SIZE]
typedef char | PV8601timeStrBuf [PV8601TIME_BUFFER_SIZE]
typedef char | ISO8601timeStrBuf [ISO8601TIME_BUFFER_SIZE]
## Enumerations
enum | TimeUnits { SECONDS = 0, MILLISECONDS = 1, MICROSECONDS = 2 }
| The TimeUnits enum can be used when constructing a TimeValue class. More...
## Functions
OSCL_IMPORT_REF void | PV8601ToRFC822 (PV8601timeStrBuf pv8601_buffer, CtimeStrBuf ctime_buffer)
OSCL_IMPORT_REF void | ISO8601ToRFC822 (ISO8601timeStrBuf iso8601_buffer, CtimeStrBuf ctime_buffer)
OSCL_IMPORT_REF void | RFC822ToPV8601 (CtimeStrBuf ctime_buffer, PV8601timeStrBuf)
OSCL_COND_IMPORT_REF TimeValue | operator- (const TimeValue &a, const TimeValue &b)
OSCL_COND_IMPORT_REF TimeValue | operator+ (const TimeValue &a, const int32 bSeconds)
OSCL_COND_IMPORT_REF TimeValue | operator+ (const int32 aSeconds, const TimeValue &b)
OSCL_COND_IMPORT_REF TimeValue | operator- (const TimeValue &a, const int32 bSeconds)
OSCL_COND_IMPORT_REF TimeValue | operator- (const int32 aSeconds, const TimeValue &b)
## Variables
const int | CTIME_BUFFER_SIZE = 26
const int | PV8601TIME_BUFFER_SIZE = 21
const int | ISO8601TIME_BUFFER_SIZE = 21
const long | USEC_PER_SEC = 1000000
const long | MSEC_PER_SEC = 1000
const uint32 | unix_ntp_offset = 2208988800U

## Detailed Description

The file oscl_time.h defines to classes NTPTime and TimeValue for getting, manipulating, and formatting time values. The TimeValue class is based on the native system time format while NTPTime is used for the standard Network Time Protocol format.